#!/bin/sed -nf 
#< strip HTML tags from input and remove blank lines 

: loop 
/<.*>/ { 
         #if we have a HTML tag, remove it 
         s/<[^<>]*>//g
  
         #branch if a successful substitution was made 
         t loop 
} 
/</ { 
         #if just an opening tag is found, append the 
         #next line of input into the pattern space 
         N 
         b loop 
} 

# remove blank lines

/^[     ]*$/d 

# print the rest! 
p 